package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import com.baomidou.mybatisplus.annotation.*;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 企业风险信息-基于启信宝对象 cms_ent_risk_qxb_info
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:12
 */
@TableName("cms_ent_risk_qxb_info")
public class CmsEntRiskQxbInfo  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long infoId;

	/** 企业名称 */
	@ApiModelProperty(value = "企业名称")
	private String entName;

	/** 三合一码 */
	@ApiModelProperty(value = "三合一码")
	private String regCode;

	/** 基本信息 */
	@ApiModelProperty(value = "基本信息")
	private String baseInfo;

	/** 工商年报 */
	@ApiModelProperty(value = "工商年报")
	private String reportListInfo;

	/** 纳税人类型 */
	@ApiModelProperty(value = "纳税人类型")
	private String taxpayerListInfo;

	/** 社保信息 */
	@ApiModelProperty(value = "社保信息")
	private String socialSecurityInfo;

	/** 行政处罚 */
	@ApiModelProperty(value = "行政处罚")
	private String adminPunishInfo;

	/** 经营异常 */
	@ApiModelProperty(value = "经营异常")
	private String abnormalsInfo;

	/** 重大税收违法 */
	@ApiModelProperty(value = "重大税收违法")
	private String taxCaseInfo;

	/** 严重违法 */
	@ApiModelProperty(value = "严重违法")
	private String seriousIllegalInfo;

	/** 主要人员 */
	@ApiModelProperty(value = "主要人员")
	private String employeesInfo;

	/** 失信被执行企业 */
	@ApiModelProperty(value = "失信被执行企业")
	private String executionListInfo;

	/** 纳税A级 */
	@ApiModelProperty(value = "纳税A级")
	private String creditGradeInfo;

	/** 删除标记 */
	@ApiModelProperty(value = "删除标记")
	private Character delFlag;

	/** 初始化标记 */
	@ApiModelProperty(value = "初始化标记")
	private Integer initFlag;
	/** 初始化时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "初始化时间")
	private Date initTime;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("infoId")
	public Long getInfoId() {
		return infoId;
	}

	public void setInfoId(Long infoId) {
		this.infoId =  infoId;
	}
	@JsonProperty("entName")
	public String getEntName() {
		return entName;
	}

	public void setEntName(String entName) {
		this.entName =  entName;
	}
	@JsonProperty("regCode")
	public String getRegCode() {
		return regCode;
	}

	public void setRegCode(String regCode) {
		this.regCode =  regCode;
	}
	@JsonProperty("baseInfo")
	public String getBaseInfo() {
		return baseInfo;
	}

	public void setBaseInfo(String baseInfo) {
		this.baseInfo =  baseInfo;
	}
	@JsonProperty("reportListInfo")
	public String getReportListInfo() {
		return reportListInfo;
	}

	public void setReportListInfo(String reportListInfo) {
		this.reportListInfo =  reportListInfo;
	}
	@JsonProperty("taxpayerListInfo")
	public String getTaxpayerListInfo() {
		return taxpayerListInfo;
	}

	public void setTaxpayerListInfo(String taxpayerListInfo) {
		this.taxpayerListInfo =  taxpayerListInfo;
	}
	@JsonProperty("socialSecurityInfo")
	public String getSocialSecurityInfo() {
		return socialSecurityInfo;
	}

	public void setSocialSecurityInfo(String socialSecurityInfo) {
		this.socialSecurityInfo =  socialSecurityInfo;
	}
	@JsonProperty("adminPunishInfo")
	public String getAdminPunishInfo() {
		return adminPunishInfo;
	}

	public void setAdminPunishInfo(String adminPunishInfo) {
		this.adminPunishInfo =  adminPunishInfo;
	}
	@JsonProperty("abnormalsInfo")
	public String getAbnormalsInfo() {
		return abnormalsInfo;
	}

	public void setAbnormalsInfo(String abnormalsInfo) {
		this.abnormalsInfo =  abnormalsInfo;
	}
	@JsonProperty("taxCaseInfo")
	public String getTaxCaseInfo() {
		return taxCaseInfo;
	}

	public void setTaxCaseInfo(String taxCaseInfo) {
		this.taxCaseInfo =  taxCaseInfo;
	}
	@JsonProperty("seriousIllegalInfo")
	public String getSeriousIllegalInfo() {
		return seriousIllegalInfo;
	}

	public void setSeriousIllegalInfo(String seriousIllegalInfo) {
		this.seriousIllegalInfo =  seriousIllegalInfo;
	}
	@JsonProperty("employeesInfo")
	public String getEmployeesInfo() {
		return employeesInfo;
	}

	public void setEmployeesInfo(String employeesInfo) {
		this.employeesInfo =  employeesInfo;
	}
	@JsonProperty("executionListInfo")
	public String getExecutionListInfo() {
		return executionListInfo;
	}

	public void setExecutionListInfo(String executionListInfo) {
		this.executionListInfo =  executionListInfo;
	}
	@JsonProperty("creditGradeInfo")
	public String getCreditGradeInfo() {
		return creditGradeInfo;
	}

	public void setCreditGradeInfo(String creditGradeInfo) {
		this.creditGradeInfo =  creditGradeInfo;
	}
	@JsonProperty("delFlag")
	public Character getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Character delFlag) {
		this.delFlag =  delFlag;
	}
	@JsonProperty("initFlag")
	public Integer getInitFlag() {
		return initFlag;
	}

	public void setInitFlag(Integer initFlag) {
		this.initFlag =  initFlag;
	}
	@JsonProperty("initTime")
	public Date getInitTime() {
		return initTime;
	}

	public void setInitTime(Date initTime) {
		this.initTime =  initTime;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																																										
	public CmsEntRiskQxbInfo(Long infoId,String entName,String regCode,String baseInfo,String reportListInfo,String taxpayerListInfo,String socialSecurityInfo,String adminPunishInfo,String abnormalsInfo,String taxCaseInfo,String seriousIllegalInfo,String employeesInfo,String executionListInfo,String creditGradeInfo,Character delFlag,Integer initFlag,Date initTime,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.infoId = infoId;
		this.entName = entName;
		this.regCode = regCode;
		this.baseInfo = baseInfo;
		this.reportListInfo = reportListInfo;
		this.taxpayerListInfo = taxpayerListInfo;
		this.socialSecurityInfo = socialSecurityInfo;
		this.adminPunishInfo = adminPunishInfo;
		this.abnormalsInfo = abnormalsInfo;
		this.taxCaseInfo = taxCaseInfo;
		this.seriousIllegalInfo = seriousIllegalInfo;
		this.employeesInfo = employeesInfo;
		this.executionListInfo = executionListInfo;
		this.creditGradeInfo = creditGradeInfo;
		this.delFlag = delFlag;
		this.initFlag = initFlag;
		this.initTime = initTime;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskQxbInfo() {
	    super();
	}

}